<div *ngIf="user">
  <h3>Edit {{ user.firstname }}</h3>
  <form [formGroup]="editUserForm" class="form" (ngSubmit)="onSubmit(user._id)">
    <div class="container-edit">
      <label for="firstname"> </label>
      <div class="input-group input-group-sm mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text" id="inputGroup-sizing-sm">First Name</span>
        </div>
        <input formControlName="firstname" [(ngModel)]="user.firstname" value="{{ user.firstname }}" id="firstnameInput" minlength="3" placeholder="Enter your first name"
          type="text" class="form-control" required/>
      </div>
      <div
        *ngIf="editUserForm.controls['firstname'].invalid && (editUserForm.controls['firstname'].dirty || editUserForm.controls['firstname'].touched)">
        <div class="alert alert-danger">
          <div *ngIf="editUserForm.controls['firstname'].invalid">
            First name field is required
          </div>
        </div>
        <div *ngIf="editUserForm.controls['firstname'].invalid" class="invalid-feedback">
          Minimum characters for firstname is 2
        </div>
      </div>
      <div class="input-group input-group-sm mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text" id="inputGroup-sizing-sm">Last Name</span>
        </div>
        <input formControlName="lastname" [(ngModel)]="user.lastname" type="text" class="form-control" aria-label="FirstName"
          aria-describedby="inputGroup-sizing-sm" placeholder="Enter your last name" required />
      </div>
      <div
        *ngIf="editUserForm.controls['lastname'].invalid && (editUserForm.controls['lastname'].dirty || editUserForm.controls['lastname'].touched)">
        <div class="alert alert-danger">
          <div *ngIf="editUserForm.controls['lastname'].invalid">
            Last name field is required
          </div>
        </div>
        <div *ngIf="editUserForm.controls['lastname'].invalid" class="invalid-feedback">
          Minimum characters for firstname is 2
        </div>
      </div>
      <div class="input-group input-group-sm mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text" id="inputGroup-sizing-sm">@</span>
        </div>
        <input formControlName="emailaddress"  [(ngModel)]="user.emailaddress" type="text" class="form-control" aria-label="email"
          aria-describedby="inputGroup-sizing-sm" placeholder="Enter your email address" required />
      </div>
      <div
        *ngIf="editUserForm.controls['emailaddress'].invalid && (editUserForm.controls['emailaddress'].dirty || editUserForm.controls['emailaddress'].touched)">
        <div class="alert alert-danger">
          <div *ngIf="editUserForm.controls['emailaddress'].invalid">
            Email address field is required
          </div>
        </div>
      </div>
      <div class="container container-gender-check">
        <div class="form-group">
          <div class="row">
            <div class="col-3"></div>
            <div class="col-3">
              <label class="radio inline">
                <input formControlName="userGender" type="radio" name="userGender" value="Male" checked />
                <span> Male </span>
              </label>
            </div>
            <div class="col-4">
              <label class="radio inline">
                <input formControlName="userGender" type="radio" name="userGender" value="Female"/>
                <span>Female </span>
              </label>
            </div>
          </div>
        </div>
        <div class="input-group">
          <div class="input-group-prepend">
            <div class="input-group-text">
              <input formControlName="userGender" type="radio" aria-label="Radio button for following text input" />
            </div>
          </div>
          <input formControlName="userGender" type="text" class="form-control" aria-label="Text input with radio button"
            placeholder="Other" />
        </div>
      </div>
      <div class="input-group input-group-sm mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text" id="inputGroup-sizing-sm">Birth date</span>
        </div>
        <input formControlName="birthdate" [(ngModel)]="user.birthdate" type="date" class="form-control" aria-describedby="inputGroup-sizing-sm"
          placeholder="Select your birth date" required />
      </div>
      <div
        *ngIf="editUserForm.controls['birthdate'].invalid && (editUserForm.controls['birthdate'].dirty || editUserForm.controls['birthdate'].touched)">
        <div class="alert alert-danger">
          <div *ngIf="editUserForm.controls['birthdate'].invalid">
            Birth date field is required
          </div>
        </div>
      </div>
      <br />
      <button type="submit" class="btn btn-success" [disabled]="editUserForm.invalid">Save</button>
    </div>
  </form>